<div>
    <div mat-subheader>Commands and properties ({{(selectedFeature?.commands?.length || 0) + (selectedFeature?.properties?.length || 0)}})</div>
    <div class="card-list"> 
        <mat-card
        [appearance]="'outlined'"
        *ngFor="let command of selectedFeature?.commands"
        (click)="setSelectedItem(command)"
        mat-ripple
        [matTooltip]="command.description!"
        [matTooltipShowDelay]="200"
        [matTooltipDisabled]="command == selectedItem"
        [ngClass]="command == selectedItem ? 'selected' : ''">
            <mat-card-header>
                <mat-card-title>{{command.displayName}}</mat-card-title>
                <mat-card-subtitle>{{command.observable == 0 ? 'Observable' : 'Unobservable'}} command</mat-card-subtitle>
            </mat-card-header>
            <mat-card-content *ngIf="command == selectedItem">{{command.description}}</mat-card-content>
            <mat-card-footer></mat-card-footer>
        </mat-card>
        <mat-divider *ngIf="selectedFeature?.commands!.length > 0 && selectedFeature?.properties!.length > 0"></mat-divider>
        <mat-card
        [appearance]="'outlined'"
        *ngFor="let property of selectedFeature?.properties"
        (click)="setSelectedItem(property)"
        mat-ripple
        [matTooltip]="property.description!"
        [matTooltipShowDelay]="200"
        [matTooltipDisabled]="property == selectedItem"
        [ngClass]="property == selectedItem ? 'selected' : ''">
            <mat-card-header>
                <mat-card-title>{{property.displayName}}</mat-card-title>
                <mat-card-subtitle>{{property.observable == 0 ? 'Observable' : 'Unobservable'}} property</mat-card-subtitle>
            </mat-card-header>
            <mat-card-content *ngIf="property == selectedItem">{{property.description}}</mat-card-content>
            <mat-card-footer></mat-card-footer>
        </mat-card>
        <div *ngIf="selectedFeature?.commands?.length == 0 && selectedFeature?.properties?.length == 0">
            No commands or properties defined in feature
        </div>
    </div>
</div>